#/**
#         ogr GetMountPoint int_ndisk int_nfilesys
#@brief   Devuelve el punto de montaje de un sistema de archivos.
#@param   int_ndisk       nº de orden del disco.
#@param   int_nfilesys    nº de orden del sistema de archivos.
#@return  path_mountpoint Punto de montaje
#@exception OG_ERR_FORMAT    Formato incorrecto.
#@exception OG_ERR_NOTFOUND  Disco o particion no corresponden con un dispositivo.
#@note    Requisitos: \c mount* \c awk
#@version 0.9 - Primera versión para OpenGnSys.
#@author  Ramon Gomez, ETSII Universidad de Sevilla
#@date    2009-10-15
#*/ ##
# Variables locales
local DEV
# Si se solicita, mostrar ayuda.
if [ "$*" == "help" ]; then
    ogr Help "$FUNCNAME" "$FUNCNAME int_ndisk int_nfilesys" \
           "$FUNCNAME 1 1  =>  /mnt/sda1"
    return
fi
# Error si no se reciben 2 parámetros.
[ $# == 2 ] || ogr RaiseError $OG_ERR_FORMAT || return $?
# Obtener partición.
DEV="$(ogr DiskToDev $1 $2)" || return $?

echo $(mount | awk -v fs=$DEV '{if ($1==fs) {print $3}}')
